Subject: Bug#884: [X2Go-Dev] nxagent aborts session with 'Could not open default font 'fixed''

From: Mihai Moldovan <[email-masked]>
Date: Wed, 2 Sep 2015 20:25:37 +0200

On 02.09.2015 11:00 AM, Mike Gabriel wrote:
> On  Mi 02 Sep 2015 03:32:56 CEST, devsk wrote:
> 
>> I finally decoded this issue. I can't believe it. The reason why its  
>> not able to load the default font and default cursor was that  
>> language specific fonts were missing from the /usr/share/fonts/misc  
>> folder. Those are missing because I have '-nls' in my global USE  
>> flags.
>>
>> I had to spin up an Ubuntu 14.04 VM to figure this out...:) This is  
>> a packaging bug. nx package on Gentoo should force the 'nls' USE  
>> flag on media-fonts/font-misc-misc because without that nxagent is  
>> completely broken. I wonder how Xorg and Xvnc are fine without  
>> those! May be there is legacy code in nxagent which needs removal...:)
>>
>> Thanks for all the help everyone! It was a pleasure dealing with you  
>> all. I hope the x2go community flourishes more and more everyday!
>> -devsk
> 
> Please can you be more precise? Where do you set the -nls flag and how  
> can we get this fixed upstream in nx-libs?

He's talking about the Gentoo-specific USE flag feature, which lets you disable
or enable features.

No, we cannot do anything about this.

However, there is another "bug report" pending for OpenSuSE, reproducing this
issue. (-> "x2go on openSUSE")

This might be a related packaging issue, so it would be very interesting to know
what missing file exactly caused this issue.

Mihai